<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structbcmtcp__hdr__t" kind="struct" language="C++" prot="public">
    <compoundname>bcmtcp_hdr_t</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structbcmtcp__hdr__t_1ad1ee26e2496870c7ce999f125e8927d7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t bcmtcp_hdr_t::src_port</definition>
        <argsstring />
        <name>src_port</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="142" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="142" />
      </memberdef>
      <memberdef id="structbcmtcp__hdr__t_1a19b6f213e22fef2a75d5c6837ceeb425" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t bcmtcp_hdr_t::dst_port</definition>
        <argsstring />
        <name>dst_port</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="143" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="143" />
      </memberdef>
      <memberdef id="structbcmtcp__hdr__t_1a636e0b188becf967fa7ff6fe7d084deb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t bcmtcp_hdr_t::seq_num</definition>
        <argsstring />
        <name>seq_num</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="144" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="144" />
      </memberdef>
      <memberdef id="structbcmtcp__hdr__t_1a0f4abf020d8645d45e24ff8f6012a7ce" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t bcmtcp_hdr_t::ack_num</definition>
        <argsstring />
        <name>ack_num</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="145" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="145" />
      </memberdef>
      <memberdef id="structbcmtcp__hdr__t_1aabb856d253e8f4a73bceadb2f0b1f9ca" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t bcmtcp_hdr_t::hdrlen_rsvd_flags</definition>
        <argsstring />
        <name>hdrlen_rsvd_flags</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="146" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="146" />
      </memberdef>
      <memberdef id="structbcmtcp__hdr__t_1a4547537d6d626de1b8af40d61d757c11" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t bcmtcp_hdr_t::tcpwin</definition>
        <argsstring />
        <name>tcpwin</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="147" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="147" />
      </memberdef>
      <memberdef id="structbcmtcp__hdr__t_1a1c20c178608a931e0a1f7f2024cab6b1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t bcmtcp_hdr_t::chksum</definition>
        <argsstring />
        <name>chksum</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="148" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="148" />
      </memberdef>
      <memberdef id="structbcmtcp__hdr__t_1a1e051817c77e172a40604bd04698c915" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t bcmtcp_hdr_t::urg_ptr</definition>
        <argsstring />
        <name>urg_ptr</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="149" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="149" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="150" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="140" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" line="141" />
    <listofallmembers>
      <member prot="public" refid="structbcmtcp__hdr__t_1a0f4abf020d8645d45e24ff8f6012a7ce" virt="non-virtual"><scope>bcmtcp_hdr_t</scope><name>ack_num</name></member>
      <member prot="public" refid="structbcmtcp__hdr__t_1a1c20c178608a931e0a1f7f2024cab6b1" virt="non-virtual"><scope>bcmtcp_hdr_t</scope><name>chksum</name></member>
      <member prot="public" refid="structbcmtcp__hdr__t_1a19b6f213e22fef2a75d5c6837ceeb425" virt="non-virtual"><scope>bcmtcp_hdr_t</scope><name>dst_port</name></member>
      <member prot="public" refid="structbcmtcp__hdr__t_1aabb856d253e8f4a73bceadb2f0b1f9ca" virt="non-virtual"><scope>bcmtcp_hdr_t</scope><name>hdrlen_rsvd_flags</name></member>
      <member prot="public" refid="structbcmtcp__hdr__t_1a636e0b188becf967fa7ff6fe7d084deb" virt="non-virtual"><scope>bcmtcp_hdr_t</scope><name>seq_num</name></member>
      <member prot="public" refid="structbcmtcp__hdr__t_1ad1ee26e2496870c7ce999f125e8927d7" virt="non-virtual"><scope>bcmtcp_hdr_t</scope><name>src_port</name></member>
      <member prot="public" refid="structbcmtcp__hdr__t_1a4547537d6d626de1b8af40d61d757c11" virt="non-virtual"><scope>bcmtcp_hdr_t</scope><name>tcpwin</name></member>
      <member prot="public" refid="structbcmtcp__hdr__t_1a1e051817c77e172a40604bd04698c915" virt="non-virtual"><scope>bcmtcp_hdr_t</scope><name>urg_ptr</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>